# Constant Field Values

## Contents

- javafx.animation.*
- javafx.application.*
- javafx.fxml.*
- javafx.scene.*

## javafx.animation.*

javafx.animation.Animation
Modifier and Type
Constant Field
Value
`public static final int`
`INDEFINITE`
`-1`

## javafx.application.*

javafx.application.Application
Modifier and Type
Constant Field
Value
`public static final String`
`STYLESHEET_CASPIAN`
`"CASPIAN"`
`public static final String`
`STYLESHEET_MODENA`
`"MODENA"`

## javafx.fxml.*

javafx.fxml.FXMLLoader
Modifier and Type
Constant Field
Value
`public static final String`
`ARRAY_COMPONENT_DELIMITER`
`","`
`public static final String`
`BI_DIRECTIONAL_BINDING_PREFIX`
`"#{"`
`public static final String`
`BI_DIRECTIONAL_BINDING_SUFFIX`
`"}"`
`public static final String`
`BINDING_EXPRESSION_PREFIX`
`"${"`
`public static final String`
`BINDING_EXPRESSION_SUFFIX`
`"}"`
`public static final String`
`CHANGE_EVENT_HANDLER_SUFFIX`
`"Change"`
`public static final String`
`CONTROLLER_KEYWORD`
`"controller"`
`public static final String`
`CONTROLLER_METHOD_PREFIX`
`"#"`
`public static final String`
`CONTROLLER_SUFFIX`
`"Controller"`
`public static final String`
`COPY_SOURCE_ATTRIBUTE`
`"source"`
`public static final String`
`COPY_TAG`
`"copy"`
`public static final String`
`DEFAULT_CHARSET_NAME`
`"UTF-8"`
`public static final String`
`DEFINE_TAG`
`"define"`
`public static final String`
`ESCAPE_PREFIX`
`"\\"`
`public static final String`
`EVENT_HANDLER_PREFIX`
`"on"`
`public static final String`
`EVENT_KEY`
`"event"`
`public static final String`
`EXPRESSION_PREFIX`
`"$"`
`public static final String`
`FX_CONSTANT_ATTRIBUTE`
`"constant"`
`public static final String`
`FX_CONTROLLER_ATTRIBUTE`
`"controller"`
`public static final String`
`FX_FACTORY_ATTRIBUTE`
`"factory"`
`public static final String`
`FX_ID_ATTRIBUTE`
`"id"`
`public static final String`
`FX_NAMESPACE_PREFIX`
`"fx"`
`public static final String`
`FX_NAMESPACE_VERSION`
`"1"`
`public static final String`
`FX_VALUE_ATTRIBUTE`
`"value"`
`public static final String`
`IMPORT_PROCESSING_INSTRUCTION`
`"import"`
`public static final String`
`INCLUDE_CHARSET_ATTRIBUTE`
`"charset"`
`public static final String`
`INCLUDE_RESOURCES_ATTRIBUTE`
`"resources"`
`public static final String`
`INCLUDE_SOURCE_ATTRIBUTE`
`"source"`
`public static final String`
`INCLUDE_TAG`
`"include"`
`public static final String`
`INITIALIZE_METHOD_NAME`
`"initialize"`
`public static final String`
`LANGUAGE_PROCESSING_INSTRUCTION`
`"language"`
`public static final String`
`LOCATION_KEY`
`"location"`
`public static final String`
`NULL_KEYWORD`
`"null"`
`public static final String`
`REFERENCE_SOURCE_ATTRIBUTE`
`"source"`
`public static final String`
`REFERENCE_TAG`
`"reference"`
`public static final String`
`RELATIVE_PATH_PREFIX`
`"@"`
`public static final String`
`RESOURCE_KEY_PREFIX`
`"%"`
`public static final String`
`RESOURCES_KEY`
`"resources"`
`public static final String`
`ROOT_TAG`
`"root"`
`public static final String`
`ROOT_TYPE_ATTRIBUTE`
`"type"`
`public static final String`
`SCRIPT_CHARSET_ATTRIBUTE`
`"charset"`
`public static final String`
`SCRIPT_SOURCE_ATTRIBUTE`
`"source"`
`public static final String`
`SCRIPT_TAG`
`"script"`

## javafx.scene.*

javafx.scene.Node
Modifier and Type
Constant Field
Value
`public static final double`
`BASELINE_OFFSET_SAME_AS_HEIGHT`
`-1d/0d`

javafx.scene.control.ButtonBar
Modifier and Type
Constant Field
Value
`public static final String`
`BUTTON_ORDER_LINUX`
`"L_HE+UNYACBXIO_R"`
`public static final String`
`BUTTON_ORDER_MAC_OS`
`"L_HE+U+FBIX_NCYOA_R"`
`public static final String`
`BUTTON_ORDER_NONE`
`""`
`public static final String`
`BUTTON_ORDER_WINDOWS`
`"L_E+U+FBXI_YNOCAH_R"`
javafx.scene.control.ColorPicker
Modifier and Type
Constant Field
Value
`public static final String`
`STYLE_CLASS_BUTTON`
`"button"`
`public static final String`
`STYLE_CLASS_SPLIT_BUTTON`
`"split-button"`
javafx.scene.control.IndexRange
Modifier and Type
Constant Field
Value
`public static final String`
`VALUE_DELIMITER`
`","`
javafx.scene.control.Pagination
Modifier and Type
Constant Field
Value
`public static final int`
`INDETERMINATE`
`2147483647`
`public static final String`
`STYLE_CLASS_BULLET`
`"bullet"`
javafx.scene.control.PopupControl
Modifier and Type
Constant Field
Value
`public static final double`
`USE_COMPUTED_SIZE`
`-1.0`
`public static final double`
`USE_PREF_SIZE`
`-1d/0d`
javafx.scene.control.ProgressIndicator
Modifier and Type
Constant Field
Value
`public static final double`
`INDETERMINATE_PROGRESS`
`-1.0`
javafx.scene.control.Spinner<T>
Modifier and Type
Constant Field
Value
`public static final String`
`STYLE_CLASS_ARROWS_ON_LEFT_HORIZONTAL`
`"arrows-on-left-horizontal"`
`public static final String`
`STYLE_CLASS_ARROWS_ON_LEFT_VERTICAL`
`"arrows-on-left-vertical"`
`public static final String`
`STYLE_CLASS_ARROWS_ON_RIGHT_HORIZONTAL`
`"arrows-on-right-horizontal"`
`public static final String`
`STYLE_CLASS_SPLIT_ARROWS_HORIZONTAL`
`"split-arrows-horizontal"`
`public static final String`
`STYLE_CLASS_SPLIT_ARROWS_VERTICAL`
`"split-arrows-vertical"`
javafx.scene.control.TabPane
Modifier and Type
Constant Field
Value
`public static final String`
`STYLE_CLASS_FLOATING`
`"floating"`
javafx.scene.control.TextArea
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PREF_COLUMN_COUNT`
`40`
`public static final int`
`DEFAULT_PREF_ROW_COUNT`
`10`
javafx.scene.control.TextField
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PREF_COLUMN_COUNT`
`12`

javafx.scene.input.PickResult
Modifier and Type
Constant Field
Value
`public static final int`
`FACE_UNDEFINED`
`-1`

javafx.scene.layout.BackgroundSize
Modifier and Type
Constant Field
Value
`public static final double`
`AUTO`
`-1.0`
javafx.scene.layout.BorderWidths
Modifier and Type
Constant Field
Value
`public static final double`
`AUTO`
`-1.0`
javafx.scene.layout.ConstraintsBase
Modifier and Type
Constant Field
Value
`public static final double`
`CONSTRAIN_TO_PREF`
`-1d/0d`
javafx.scene.layout.GridPane
Modifier and Type
Constant Field
Value
`public static final int`
`REMAINING`
`2147483647`
javafx.scene.layout.Region
Modifier and Type
Constant Field
Value
`public static final double`
`USE_COMPUTED_SIZE`
`-1.0`
`public static final double`
`USE_PREF_SIZE`
`-1d/0d`

javafx.scene.media.AudioClip
Modifier and Type
Constant Field
Value
`public static final int`
`INDEFINITE`
`-1`
javafx.scene.media.AudioEqualizer
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_NUM_BANDS`
`64`
javafx.scene.media.EqualizerBand
Modifier and Type
Constant Field
Value
`public static final double`
`MAX_GAIN`
`12.0`
`public static final double`
`MIN_GAIN`
`-24.0`
javafx.scene.media.MediaPlayer
Modifier and Type
Constant Field
Value
`public static final int`
`INDEFINITE`
`-1`

javafx.scene.shape.Box
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_SIZE`
`2.0`